petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCSetDM

Sets the DM that may be used by some preconditioners

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCSetDM(PC pc,DM dm)

Logically Collective on PC Many br

### Input Parameters

| pc | - the preconditioner context Many br
| dm | - the dm Many br

Many br

### See Also

PCGetDM(), KSPSetDM(), KSPGetDM()

Level:intermediate
Location:src/ksp/pc/interface/pcset.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages